<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta name="generator"
 content="HTML Tidy for Linux/x86 (vers 1st March 2004), see www.w3.org">
  <title>FPM: Linux update HOWTO</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=ISO-8859-15">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link rel="stylesheet" href="css/fpm.css" type="text/css">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="Start" href="index.html" title="FPM Home">
  <link rel="Icon" href="im/fpm.png" type="image/png">
  <style type="text/css">
        .coloret {background-color: #00ffff}
  </style>
</head>
<body>
<table style="width: 100%;">
  <tbody>
    <tr>
      <td colspan="2" class="titol">
      <h1 style="text-align: center;">Linux update HOWTO</h1>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="general-cap">
      <h3>Backup</h3>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="general-fons">
      <table style="width: 100%;">
        <tbody>
          <tr>
            <td colspan="1" rowspan="1"
 style="width: 50%; vertical-align: top;">
            <ul>
              <li>Backup /etc:</li>
              <ul style="font-weight: bold;">
                <li><code>tar cvzf /home/export/backup/etc_yyyymmdd.tgz
/etc</code></li>
              </ul>
              <ul>
                <li>drakbackup</li>
                <ul>
                  <li><code>/etc/drakxtools/drakbackup/</code></li>
                </ul>
              </ul>
              <li><span class="intern">Backup </span><a class="intern"
 href="bd.html">mysql</a> databases: /var/lib/mysql</li>
              <ul>
                <li><code>tar cvzf
/home/export/backup/mysql_yyyymmdd.tgz /var/lib/mysql</code></li>
                <li>mysqldump</li>
                <ul>
                  <li style="font-weight: bold;">mysqldump -u root -p
--all-databases &gt;
mysql_yyyymmdd.sql</li>
                  <li>mysqldump -u root -p --all-databases --xml &gt;
mysql_yyyymmdd.xml</li>
                </ul>
                <li>mysql-administrator</li>
                <ul>
                  <li><span style="font-weight: bold;">tar cvzf
/home/export/backup/mysqlgui_yyyymmdd.tgz /root/.mysqlgui</span></li>
                  <li>backup profiles: /root/.mysqlgui/backup_profiles</li>
                  <ul>
                    <li>backup_timetracker</li>
                    <li>backup_bugzilla</li>
                    <li>backup_wiki<br>
                    </li>
                  </ul>
                  <li>Tools / Preferences&nbsp;</li>
                  <ul>
                    <li>General Options: Store connection passwords
(Obscured) (solves "Backup error: Cannot set ANSI quotes")<br>
                    </li>
                    <li>Connections: write password</li>
                  </ul>
                  <li>connections:
/root/.mysqlgui/mysqlx_user_connections.xml</li>
                </ul>
                <li><a class="intern"
 href="utilitats.html#mysql-workbench">mysql-workbench</a></li>
                <ul>
                  <li>...<br>
                  </li>
                </ul>
              </ul>
              <li><span class="intern">Backup </span>http server:
/var/www</li>
              <ul>
                <li><span style="font-weight: bold;">tar cvzf
/home/export/backup/www_yyyymmdd.tgz /var/www</span></li>
              </ul>
              <ul>
                <li>mediawiki</li>
                <ul>
                  <li><a
 href="http://www.mediawiki.org/wiki/Manual:Upgrading#Back_up_existing_files_and_the_database">Back
up existing files and the database</a></li>
                </ul>
                <ul>
                  <li>/var/www</li>
                </ul>
                <ul>
                  <li>MySQL<br>
                  </li>
                </ul>
              </ul>
              <ul>
              </ul>
              <li>Samba</li>
              <ul>
                <li>tdbbackup (<a
 href="http://www.samba.org/samba/docs/man/Samba-HOWTO-Collection/install.html#id2552450">TDB
Database File Information</a>)<br>
                </li>
              </ul>
              <li>bugzilla</li>
              <ul>
                <li>/var/lib/bugzilla</li>
                <li>backup</li>
              </ul>
              <li>VDR</li>
              <ul>
                <li>/var/lib/vdr</li>
              </ul>
              <li>MythTV</li>
              <ul>
                <li><a
 href="http://www.mythtv.org/wiki/index.php/User_Manual:Periodic_Maintenance#Backup">backup</a></li>
              </ul>
              <li>cron<br>
              </li>
              <ul>
              </ul>
              <ul>
                <li><span style="font-weight: bold;">tar cvzf
/home/export/backup/cron_yyyymmdd.tgz /var/spool/cron</span><br>
                </li>
              </ul>
            </ul>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td class="seccio-cap" colspan="2" rowspan="1">
      <h3>Installation</h3>
      </td>
    </tr>
    <tr>
      <td class="seccio-fons" colspan="2" rowspan="1">
      <ul>
        <li>network</li>
        <ul>
          <li>IP address</li>
          <li>computer name</li>
          <ul>
            <li>/etc/sysconfig/network</li>
            <ul>
              <li>HOSTNAME=pctoto<br>
              </li>
            </ul>
          </ul>
        </ul>
        <li><a class="intern" href="utilitats.html#ntp">NTP</a><br>
        </li>
      </ul>
      </td>
    </tr>
    <tr>
      <td class="seccio-cap" colspan="2" rowspan="1">
      <h3>System</h3>
      </td>
    </tr>
    <tr>
      <td class="seccio-fons" colspan="2" rowspan="1">
      <ul>
        <li>Configure /etc/hosts</li>
        <ul>
          <li>127.0.0.1 pctoto localhost<br>
          </li>
        </ul>
        <li>Restore /etc</li>
        <ul>
          <li>tar -C /tmp -xvzf /home/export/backup/etc_yyyymmdd.tgz</li>
        </ul>
        <ul>
          <li>Restore users (<a
 href="http://www.cyberciti.biz/faq/howto-move-migrate-user-accounts-old-to-new-server/">*</a>)</li>
          <ul>
            <li>cp /tmp/etc/passwd /etc/passwd</li>
            <li>cp /tmp/etc/shadow /etc/shadow</li>
          </ul>
        </ul>
        <ul>
          <li>Restore groups</li>
          <ul>
            <li>cp /tmp/etc/group /etc/group</li>
          </ul>
          <li>Restore drakbackup profiles</li>
          <ul>
            <li>cp -pr /tmp/etc/drakxtools/drakbackup/ /etc/drakxtools/</li>
          </ul>
          <li>Restore credentials for fstab</li>
          <ul>
            <li>cp /tmp/etc/samba/auth* /etc/samba<br>
            </li>
          </ul>
          <li>Restore /etc/fstab<br>
          </li>
        </ul>
        <li><span class="intern">Configure </span><a class="intern"
 href="telecom.html#obrir_port">Firewall</a></li>
        <ul>
          <li>allow</li>
          <ul>
            <li>SSH</li>
            <li>Web server</li>
            <li>SMB</li>
            <li>ping</li>
            <li>(<a class="intern" href="utilitats.html#cvs_tallafocs">cvs</a>
server): 2401/tcp</li>
            <li>(<a class="intern" href="utilitats.html#svn_tallafocs">svn</a>
server)</li>
            <li>(<a class="intern" href="utilitats.html#nfs_tallafocs">nfs</a>)</li>
            <li><a class="intern" href="utilitats.html#wiki">wiki</a>: <br>
            </li>
            <ul>
              <li>Collection extension: 8899/tcp<br>
              </li>
            </ul>
          </ul>
        </ul>
        <li>Configure security (mcc)</li>
        <ul>
          <li>security level: high</li>
          <li>Adjust system permissions</li>
          <ul>
            <li>Add new rule</li>
            <ul>
              <li>/home/export -&gt; 755</li>
            </ul>
          </ul>
        </ul>
        <li>Configure <a class="intern" href="utilitats.html#samba">Samba</a></li>
        <ul>
          <li>/etc/samba/smb.conf</li>
          <ul>
            <li><code>workgroup=DTM</code></li>
          </ul>
          <li>check</li>
          <ul>
            <li><code>testparm</code></li>
            <li><code>smbclient -L localhost -U%</code></li>
          </ul>
        </ul>
        <li>Configure <a class="intern" href="utilitats.html#apache">Apache</a></li>
        <ul>
          <li>/etc/httpd/conf/httpd.conf<br>
          </li>
          <ul>
            <li>Listen 172.16.11.5:80</li>
            <li>ServerName pctoto<br>
            </li>
          </ul>
        </ul>
        <li><span class="intern">Restore </span><a class="intern"
 href="bd.html">MySQL</a></li>
        <ul>
          <li>mysql -u root -p &lt; mysql_yyyymmdd.sql</li>
          <li>tar -C / -xvzf
/home/export/backup/mysql_backup_yyyymmdd.tgz <br>
          </li>
          <li>Tools / Preferences&nbsp;</li>
          <ul>
            <li>General Options: Store connection passwords (Obscured)
(solves "Backup error: Cannot set ANSI quotes")<br>
            </li>
            <li>Connections: write password</li>
            <li>Introduce password for the used connection<br>
            </li>
          </ul>
        </ul>
        <li>Configure cron</li>
        <ul>
          <li><code>export EDITOR=emacs; crontab -e</code><br>
          </li>
        </ul>
        <ul>
          <li>/var/spool/cron</li>
          <ul>
            <li><code>0 23 * * * /root/backup_base_dades.sh<br>
0 22 1 * * export USER=usuari; /usr/sbin/drakbackup --profile
servidor_cvs_full.conf --daemon &gt; /dev/null 2&gt;&amp;1<br>
0 22 * * 6 export USER=usuari; /usr/sbin/drakbackup --profile
servidor_cvs_differential.conf --daemon &gt; /dev/null 2&gt;&amp;1<br>
0 22 * * * export USER=usuari; /usr/sbin/drakbackup --profile
servidor_cvs_incremental.conf --daemon &gt; /dev/null 2&gt;&amp;1<br>
0 23 1 * * export USER=usuari; /usr/sbin/drakbackup --profile
servidor_export_cvs_full.conf --daemon &gt; /dev/null 2&gt;&amp;1<br>
0 23 * * 6 export USER=usuari; /usr/sbin/drakbackup --profile
servidor_export_cvs_differential.conf --daemon &gt; /dev/null
2&gt;&amp;1<br>
0 23 * * * export USER=usuari; /usr/sbin/drakbackup --profile
servidor_export_cvs_incremental.conf --daemon &gt; /dev/null 2&gt;&amp;1<br>
0 04 * * * /bin/find /var/export/backup/ -mtime -1 -type f -exec
cp -pf '{}' /mnt/external_dir/copia_seguretat \; &gt; /dev/null
2&gt;&amp;1</code></li>
          </ul>
          <li>/root/backup_base_dades.sh</li>
          <ul>
            <li><code>#!/bin/bash<br>
export DB_BACKUP_DIR="/var/export/backup"<br>
export DB_USER="root"<br>
export DB_PASSWD="******"<br>
export DATE="`date '+%Y%m%d_%H%M'`"<br>
mysqldump -u$DB_USER -p$DB_PASSWD timetracker &gt;
$DB_BACKUP_DIR/backup_timetracker_$DATE.sql<br>
mysqldump -u$DB_USER -p$DB_PASSWD wikidb &gt;
$DB_BACKUP_DIR/backup_wikidb_$DATE.sql</code><br>
              <br>
            </li>
          </ul>
        </ul>
        <li><span class="intern"></span><a class="intern"
 href="utilitats.html#wiki">Configure Mediawiki</a></li>
        <ul>
          <li><a
 href="http://www.mediawiki.org/wiki/Manual:Moving_a_wiki">Moving a wiki</a><br>
          </li>
          <li>using mysql-administrator, retype passwords for user:<br>
          </li>
          <ul>
            <li>wikiuser</li>
          </ul>
          <li>restore config files:</li>
          <ul>
            <li>cp /tmp/var/www/mediawiki/LocalSettings.php
/var/www/mediawiki/LocalSettings.php</li>
            <li>cp /tmp/var/www/mediawiki/AdminSettings.php <br>
            </li>
            <li>cp -pr /tmp/var/www/mediawiki/extensions/
/var/www/mediawiki/ </li>
            <li>cp -pr /tmp/var/www/mediawiki/images/
/var/www/mediawiki/ </li>
            <li>cp -pr /tmp/var/www/mediawiki/papers/
/var/www/mediawiki/ </li>
          </ul>
        </ul>
        <li><a class="intern" href="utilitats.html#timetracker">Configure
WRTimetracker</a><br>
        </li>
      </ul>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="seccio-cap">
      <h3>Services</h3>
      </td>
    </tr>
    <tr>
      <td class="seccio-fons" colspan="2" rowspan="1">
      <table border="1" cellpadding="2" cellspacing="2">
        <tbody>
          <tr class="taula-cap">
            <th><br>
            </th>
            <th>urpmi</th>
            <th>/etc</th>
            <th>/var</th>
            <th>other</th>
            <th>firewall</th>
            <th>service restart</th>
          </tr>
          <tr>
            <th class="fila-cap">OpenSSH</th>
            <td>openssh-server</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>SSH</td>
            <td>sshd</td>
          </tr>
          <tr>
            <th class="fila-cap"><a class="intern"
 href="utilitats.html#cvs">CVS</a></th>
            <td>cvs<br>
xinetd</td>
            <td>cvs/cvs.conf</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>2401/tcp</td>
            <td>xinetd</td>
          </tr>
          <tr>
            <th class="fila-cap"><a class="intern"
 href="utilitats.html#samba">Samba</a></th>
            <td>samba-server</td>
            <td>samba/smbpasswd<br>
samba/smb.conf</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>SMB</td>
            <td>smb</td>
          </tr>
          <tr>
            <th class="fila-cap"><a class="intern"
 href="utilitats.html#mysql">MySQL</a></th>
            <td>mysql</td>
            <td>my.cnf</td>
            <td>lib/mysql</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>mysqld</td>
          </tr>
          <tr>
            <th class="fila-cap">mysql-administrator</th>
            <td>mysql-administrator</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>/root/.mysqlgui/backup_profiles<br>
/root/.mysqlgui/mysqlx_user_connections.xml<br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr>
            <th class="fila-cap"><a class="intern"
 href="utilitats.html#bugzilla">Bugzilla</a></th>
            <td>bugzilla</td>
            <td>bugzilla/localconfig</td>
            <td>lib/bugzilla</td>
            <td><br>
            </td>
            <td>Web server</td>
            <td><br>
            </td>
          </tr>
          <tr>
            <th class="fila-cap">cron</th>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>spool/cron</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr>
            <th class="fila-cap">drakbackup</th>
            <td><br>
            </td>
            <td>drakxtools/drakbackup/<br>
            <ul>
              <li>servidor_*_full.conf</li>
              <li>servidor_*_differential.conf</li>
              <li>servidor_*_incremental.conf</li>
            </ul>
            </td>
            <td>lib/drakbackup</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="peu">
      <p style="font-size: smaller; text-align: center;">http://www.francescpinyol.cat/linux_update.html<br>
Primera versió: / First version: 20.III.2008<br>
Darrera modificació: 13 de setembre de 2011 / Last update: 13th
September 2011</p>
      <p style="text-align: center;"><a
 href="http://validator.w3.org/check/referer"><img
 src="//www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 style="border-style: hidden;" height="31" width="88"></a></p>
Cap a <a href="index.html" class="intern">casa</a> / Back <a
 href="index.html" class="intern">home</a>. </td>
    </tr>
  </tbody>
</table>
</body>
</html>
